Summary:	A GNU archiving program
Name:		cpio
Version:	2.11
Release:	10
License:	GPLv2+
Group:		Archiving/Backup
Url:		http://www.gnu.org/software/cpio/
Source:		ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
Patch4:		cpio-2.11-stdout.patch
Patch5:		cpio-2.11.disable.static.patch
BuildRequires:	bison
BuildRequires:	texinfo
BuildRequires:	gettext-devel
Requires:	rmt

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS
/bin/cpio
/bin/cpiostatic
%{_infodir}/cpio.*
%{_mandir}/man1/cpio.1*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch4 -p1
%patch5 -p1

%build
autoreconf -fi
export CPPFLAGS="%{optflags} -DHAVE_LSTAT=1"
%configure2_5x \
	--bindir=/bin \
	--with-rmt=/sbin/rmt \
	--disable-rpath

%make

%check
make check

%install
%makeinstall_std

%find_lang %{name}

# remove unpackaged file
rm -f %{buildroot}%{_mandir}/man1/mt.*


%changelog
* Thu Jul 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.11-10
+ Revision: c436e26
- Update BuildRequires


